using C1.Win.Chart;
using C1.Win.Chart.Interaction;

namespace FlexChart_Sample
{
    public partial class Form1 : Form
    {
        FlexChart _chart;
        public Form1()
        {
            InitializeComponent();

            var rnd = new Random();

            this.Controls.Add(_chart = new FlexChart()
            {
                Dock = DockStyle.Fill,
                DataSource = Enumerable.Range(1, 2000).Select(i => new DataPoint(i)).ToList(),
                BindingX = "Name",
                ChartType = C1.Chart.ChartType.Line,
                AxisY =
                {
                    Min = 0,
                    Max = 100
                }
            });
            for (int i = 1; i <= 24; i++)
                _chart.Series.Add(new Series()
                {
                    Name = $"S Y{i}",
                    Binding = $"Y{i}"
                });

            //x - axis scrollbar
            AxisScrollbar scroll = null!;
            _chart.Rendering += (sender, e) =>
            {
                if(scroll == null)
                {
                    scroll = new AxisScrollbar(_chart.AxisX)
                    {
                        UpperValue = 100
                    };
                }
            };
        }

        #region "dataPoint
        class DataPoint
        {
            public string Name => $"Point {X}";
            public int X { get; set; }
            public string Y { get; set; }
            public int Y1 { get; set; }
            public int Y2 { get; set; }
            public int Y3 { get; set; }
            public int Y4 { get; set; }
            public int Y5 { get; set; }
            public int Y6 { get; set; }
            public int Y7 { get; set; }
            public int Y8 { get; set; }
            public int Y9 { get; set; }
            public int Y10 { get; set; }
            public int Y11 { get; set; }
            public int Y12 { get; set; }
            public int Y13 { get; set; }
            public int Y14 { get; set; }
            public int Y15 { get; set; }
            public int Y16 { get; set; }
            public int Y17 { get; set; }
            public int Y18 { get; set; }
            public int Y19 { get; set; }
            public int Y20 { get; set; }
            public int Y21 { get; set; }
            public int Y22 { get; set; }
            public int Y23 { get; set; }
            public int Y24 { get; set; }

            static Random _rnd = new Random();
            public DataPoint(int x)
            {
                X = x;
                Y = "label";
                Y1 = _rnd.Next(100);
                Y2 = _rnd.Next(100);
                Y3 = _rnd.Next(100);
                Y4 = _rnd.Next(100);
                Y5 = _rnd.Next(100);
                Y6 = _rnd.Next(100);
                Y7 = _rnd.Next(100);
                Y8 = _rnd.Next(100);
                Y9 = _rnd.Next(100);
                Y10 = _rnd.Next(100);
                Y11 = _rnd.Next(100);
                Y12 = _rnd.Next(100);
                Y13 = _rnd.Next(100);
                Y14 = _rnd.Next(100);
                Y15 = _rnd.Next(100);
                Y16 = _rnd.Next(100);
                Y17 = _rnd.Next(100);
                Y18 = _rnd.Next(100);
                Y19 = _rnd.Next(100);
                Y20 = _rnd.Next(100);
                Y21 = _rnd.Next(100);
                Y22 = _rnd.Next(100);
                Y23 = _rnd.Next(100);
                Y24 = _rnd.Next(100);
            }
        }
        #endregion
    }
}
